#
# spec file for package sap-installation-start
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           sap-installation-start
Version:	0.9
Release:	1.19
License:	GPL-2.0+
Summary:	Package to start the SAP installation via yast2-firstboot
Group:		System/YaST
Source:         %{name}.tar.bz2
BuildArch: noarch
PreReq:		yast2-firstboot
PreReq:		sed
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A YaST module to start the SAP installation wizard after system installation

Authors:
--------
    varkoly@suse.com


%prep
%setup -n %{name}

%build

%install
mkdir -p %{buildroot}/etc/YaST2/
mkdir -p %{buildroot}/var/lib/YaST2/
cp    firstboot-sap.xml  %{buildroot}/etc/YaST2/
touch         %{buildroot}/var/lib/YaST2/reconfig_system

%post
sed -i 's#^FIRSTBOOT_CONTROL_FILE#FIRSTBOOT_CONTROL_FILE="/etc/YaST2/firstboot-sap.xml"#' /etc/sysconfig/firstboot
sed -i 's#^LICENSE_REFUSAL_ACTION#LICENSE_REFUSAL_ACTION="continue"#' /etc/sysconfig/firstboot

%postun

%files
%defattr(-,root,root)
%doc COPYING
/var/lib/YaST2/reconfig_system
%config            /etc/YaST2/firstboot-sap.xml

%changelog
* Mon Nov 20 2017 varkoly@suse.com
- Initial version
- bnc#1066951 sap-installation-wizard is not started after the installation
  with the option to start it enabled
